# class ConstructorImp | Implementation class for Constructors. More...
Contains pure virtuals
Full name | `KJS::ConstructorImp`
Definition | `#include <function.h>`
Inherits | KJS::InternalFunctionImp [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- ConstructorImp ()
- ConstructorImp (const UString &n)
- ConstructorImp (const KJSO &, int)
- ConstructorImp (const UString &n, const KJSO &p, int len)
- virtual ~ConstructorImp ()
- virtual const TypeInfo* typeInfo () const
- virtual Completion execute (const List &)
- virtual Object construct (const List &)

#### Public Members

- static const TypeInfo info

## Detailed Description

ConstructorImp () | ### ConstructorImp

ConstructorImp (const UString &n) | ### ConstructorImp

ConstructorImp (const KJSO &, int) | ### ConstructorImp

ConstructorImp (const UString &n, const KJSO &p, int len) | ### ConstructorImp

~ConstructorImp () | ### ~ConstructorImp

[virtual]

const TypeInfo* typeInfo () | ### typeInfo

[const virtual]

Reimplemented from InternalFunctionImp.

static const TypeInfo info | ### info

Completion execute (const List &) | ### execute

[virtual]

Reimplemented from InternalFunctionImp.

Object construct (const List &) | ### construct

[pure virtual]

Generated by: root@i386.ports.openbsd.org on Wed Apr 25 13:58:56 2001, using kdoc 2.0a53.